BlendFunc File Reference
`#include <osg/StateAttribute>`

Go to the source code of this file.

## Classes

class | osg::BlendFunc

## Namespaces

namespace | osg

## Macros

#define | OSG_BLENDFUNC 1
#define | GL_CONSTANT_COLOR 0x8001
#define | GL_ONE_MINUS_CONSTANT_COLOR 0x8002
#define | GL_CONSTANT_ALPHA 0x8003
#define | GL_ONE_MINUS_CONSTANT_ALPHA 0x8004
#define | GL_BLEND_COLOR 0x8005
#define | GL_BLEND_DST_RGB 0x80C8
#define | GL_BLEND_SRC_RGB 0x80C9
#define | GL_BLEND_DST_ALPHA 0x80CA
#define | GL_BLEND_SRC_ALPHA 0x80CB

## Macro Definition Documentation

## GL_BLEND_COLOR

#define GL_BLEND_COLOR 0x8005

## GL_BLEND_DST_ALPHA

#define GL_BLEND_DST_ALPHA 0x80CA

## GL_BLEND_DST_RGB

#define GL_BLEND_DST_RGB 0x80C8

## GL_BLEND_SRC_ALPHA

#define GL_BLEND_SRC_ALPHA 0x80CB

## GL_BLEND_SRC_RGB

#define GL_BLEND_SRC_RGB 0x80C9

## GL_CONSTANT_ALPHA

#define GL_CONSTANT_ALPHA 0x8003

## GL_CONSTANT_COLOR

#define GL_CONSTANT_COLOR 0x8001

## GL_ONE_MINUS_CONSTANT_ALPHA

#define GL_ONE_MINUS_CONSTANT_ALPHA 0x8004

## GL_ONE_MINUS_CONSTANT_COLOR

#define GL_ONE_MINUS_CONSTANT_COLOR 0x8002

## OSG_BLENDFUNC

#define OSG_BLENDFUNC 1